CREATE LOGIN login_dbo  WITH PASSWORD='foo', CHECK_POLICY = OFF;
CREATE LOGIN login_blat WITH PASSWORD='foo', CHECK_POLICY = OFF;
GO
CREATE SCHEMA blat AUTHORIZATION dbo;
GO
CREATE USER user_dbo  FROM LOGIN login_dbo  
  WITH DEFAULT_SCHEMA = dbo;
CREATE USER user_blat FROM LOGIN login_blat 
  WITH DEFAULT_SCHEMA = blat;

GRANT SELECT ON dbo.AWBuildVersion 
  TO user_dbo, user_blat;
GO
DBCC FREEPROCCACHE;
GO
                    


EXECUTE AS user = 'user_dbo';
GO
DECLARE @d DATE;
SELECT @d = VersionDate FROM AWBuildVersion; -- add dbo. here
GO
REVERT;
GO

EXECUTE AS user = 'user_blat';
GO
DECLARE @d DATE;
SELECT @d = VersionDate FROM AWBuildVersion; -- add dbo. here
GO
REVERT;

SELECT t.[text], p.size_in_bytes, p.usecounts
FROM sys.dm_exec_cached_plans AS p
CROSS APPLY sys.dm_exec_sql_text(p.plan_handle) AS t
WHERE t.[text] LIKE '%AWBuild'+'Version%';
GO

DROP USER user_dbo;
DROP USER user_blat;
DROP SCHEMA blat;
DROP LOGIN login_dbo;
DROP LOGIN login_blat;